본문 바로가기

Home > 열린마당 > 공개SW 소식

공개SW 소식

크롬 새버전, 오라클 자바 플러그인 지원 중단

OSS 게시글 작성 시각 2015-04-21 17:44:33 게시글 조회수 3363

2015년 04월 15일 (수)

ⓒ 지디넷코리아, 김우용 기자 yong2@zdnet.co.kr



구글이 크롬 웹브라우저 최신 버전에서 오라클 자바 플러그인 지원을 중단했다. 넷스케이프 플러그인(NPAPI) 완전 차단 계획의 일환이다. 

14일(현지시간) 외신에 따르면, 크롬42버전은 오라클의 자바 플러그인을 설치할 수 없도록 기본 설정됐다. 이뿐 아니라 기타 NPAPI 기반의 확장 플러그인도 쓸 수 없도록 돼 있다. 

크롬42는 9월로 예정된 크롬의 NPAPI 공식 지원중단 계획을 기반에 깔고 있다. 브라우저와 호환되지 않는 다양한 플러그인을 기본 설정에서 쓸 수 없도록 한다. 사용자는 사용가능한 NPAPI 기반 플러그인을 선택해 활성화해 쓸 수 있다. 그러나 이 사용자 선택 기능도 9월 완전히 사라진다. 

NPAPI는 '넷스케이프 플러그인 API'의 약자다. 사파리, 오페라, 크롬, 파이어폭스 등 주요 PC용 브라우저에서 플러그인 프로그램 기능을 설치, 실행할 수 있게 해주는 기술이다. 인터넷익스플로러(IE)의 '액티브X'같은 역할을 한다. 

MS 실버라이트나 어도비 플래시, 오라클 자바 등이 IE외 브라우저에서 실행될 때 NPAPI 기술을 사용한다. 구글 크롬도 등장 초기부터 NPAPI 기술을 지원해 왔다. 

NPAPI는 최신 브라우저 사용자 환경에 어울리지 않는다는 지적을 받고 있다. 모바일 기기 확산으로 다양한 단말기 지원 문제가 떠오르면서 웹표준의 중요성이 대두됐고 NPAPI와 액티브X같은 플러그인 기술은 퇴출 대상으로 전락했다. 

이에 구글도 2013년 9월 NPAPI 지원 중단에 대한 계획을 제시하고 단계적으로 크롬의 NPAPI 실행 기능을 제한하기 시작했다. 2013년 11월 개발자용 지원 중단 가이드를 내놓고, 지난해 4월 리눅스용 크롬35 버전에서 NPAPI 지원 기능을 뺐다. 이어 7월 윈도용 크롬37 버전에서 NPAPI 자동실행 차단 기능을 우회하기 어렵게 바꿨다. 이어 9월부터 크롬 웹스토어에 NPAPI를 사용하는 웹앱과 확장기능을 신규 등록할 수 없게 만들었다. 

현재 크롬 브라우저는 실버라이트, 유니티, 구글어스, 자바, 구글톡 등 일부 '화이트리스트'를 제외하고 사용자가 승인한 NPAPI 플러그인을 실행할 수 있다. 기본적으로는 실행이 막혀 있지만 기능 자체는 열려 있다. 

올해 1월 구글은 화이트리스트를 없앴다. 사용자가 접하는 모든 NPAPI 플러그인을 기본적으로 차단하므로, 일일이 사용자가 승인해야만 실행된다. 

이달부터 구글은 NPAPI에 대한 지원을 공식 중단하고 크롬웹스토어에서 NPAPI를 쓰는 확장기능을 접수하지 않는다. 대신 NPAPI 실행을 요하는 기업과 일부 개인의 특수 환경을 위해 강제실행(override) 수단을 제공한다. 

오는 9월 구글은 NPAPI 지원을 완전히 중단한다. 크롬 브라우저의 NPAPI 강제실행 수단이 사라지고, 앞서 설치돼 있던 NPAPI기반 확장기능도 돌아가지 않는다. 

또한 앞으로 오픈소스 버전인 크로미움 역시 NPAPI 플러그인을 쓸 수 없게 된다. 

구글만 자바를 브라우저에서 쓸 수 없게 만들고 있는 건 아니다. 마인크래프트 개발사 모장도 오라클 자바 플러그인을 대신하는 프로그램을 개발했다. 미국 정부는 점차 늘어나는 자바 취약점으로 인한 보안위협을 줄이기 위해 오라클 자바 플러그인 사용을 최대한 자제하고 있다.



※ 본 내용은 (주)메가뉴스(http://www.zdnet.co.kr)의 저작권 동의에 의해 공유되고 있습니다.
Copyright ⓒ 지디넷코리아. 무단전재 및 재배포 금지


[원문출처 : http://www.zdnet.co.kr/news/news_view.asp?artice_id=20150415102809]

맨 위로
맨 위로